﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;

namespace howto_paste_files
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Handle paste events.
        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {
            // Look for Ctrl+V.
            if (e.Control && (e.KeyCode == Keys.V))
            {
                // Paste.
                // Clear the ListBox.
                lstFiles.Items.Clear();

                // Get the DataObject.
                IDataObject data_object = Clipboard.GetDataObject();

                // Look for a file drop.
                if (data_object.GetDataPresent(DataFormats.FileDrop))
                {
                    string[] files = (string[])
                        data_object.GetData(DataFormats.FileDrop);
                    foreach (string file_name in files)
                    {
                        string name = file_name;
                        if (Directory.Exists(file_name))
                            name = "[" + name + "]";
                        lstFiles.Items.Add(name);
                    }
                }
            }
        }
    }
}
